#ifndef VIDEOH
#define VIDEOH

#include <windows.h>
#include <vfw.h>

class Video
{
public:
	Video();
	virtual ~Video();
        static LRESULT PASCAL fpVideoCallback(HWND hWnd, LPVIDEOHDR lpVHdr);
	void init(HWND hWnd);
	int Display();
        int StopCap();
        int StartSend();
        int StopSend();
        bool flag_remote;
	CAPTUREPARMS Captures;
        BITMAPINFO bmpinfo;
	DWORD dwSize;
        bool initflag;
        bool doCompressOrNot;
	HWND hParent;
	HWND hWndCap;
	HDRAWDIB hdd;
	HDC hdc;
        //LPVOID de;
        int packet;
        int CAPWIDTH;
        int CAPHEIGHT;
        bool save;
        char* file;
        bool run;
        bool startcap;
};
#endif

